Subject: Re: bug#19576: write-file writes the wrong buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Nov 2015 13:15:39 +0200

> Date: Fri, 20 Nov 2015 11:25:47 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked], 
>  [email-masked]
> 
>  >> It might have interesting consequences.  Presumably, you expect that
>  >> this way we'll be finally able to run ‘window-size-change-functions’ if
>  >> and only if the size of windows really changed.  Correct?
>  >
>  > No, not really.  It's just a cleanup, IMO: instead of asking each
>  > caller of window_resize_apply to set that flag, set it in that
>  > function itself.
> 
> In addition it would do that then for grow_mini_window and
> shrink_mini_window too but I suppose that's what you want.

Indeed, that was what triggered my question.

>  > I didn't envision any changes in functionality due
>  > to this change.  What did I miss?
> 
> "All" window size changes must pass through window_resize_apply.  So we
> could easily check there if any size really changes and set that flag
> only in that case.  This way you would get your check whether
> ‘set-window-configuration’ did change the size of any window for free.

Yes, that'd be an additional benefit.

> It's not a minor change since I probably would remove the check done by
> ‘window--resize-apply-p’, have window_resize_apply return a boolean
> indicating that some size really changed and have ‘window-resize-apply’
> pass that value back to its caller so we can avoid calling
> ‘window--pixel-to-total’ and ‘window-configuration-change-hook’ if
> nothing changed.  And, as I mentioned earlier, the one case in
> ‘delete-other-windows’ would have to be treated specially.  But I think
> it's worth if we care about ‘set-window-configuration’.

Yes, and we are allowed non-minor changes on master.

Thanks.